Name: did
Version: 0.9
Release: 8%{?dist}

Summary: What did you do last week, month, year?
License: GPLv2+

URL: https://github.com/psss/did
Source: https://github.com/psss/did/releases/download/%{version}/did-%{version}.tar.bz2

Patch0: Port-to-python-gssapi.patch

BuildArch: noarch
BuildRequires: git
BuildRequires: python2-devel
Requires: python2-gssapi
Requires: python2-urllib-gssapi
Requires: python2-nitrate python2-dateutil python2-bugzilla
%{?el6:Requires: python-argparse}

%description
Comfortably gather status report data (e.g. list of committed
changes) for given week, month, quarter, year or selected date
range. By default all available stats for this week are reported.

%prep
%autosetup -S git

%build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{python_sitelib}/did
mkdir -p %{buildroot}%{python_sitelib}/did/plugins
install -pm 755 bin/did %{buildroot}%{_bindir}/did
install -pm 644 did/*.py %{buildroot}%{python_sitelib}/did
install -pm 644 did/plugins/*.py %{buildroot}%{python_sitelib}/did/plugins
install -pm 644 did.1.gz %{buildroot}%{_mandir}/man1


%files
%{_mandir}/man1/*
%{_bindir}/did
%{python_sitelib}/*
%doc README.rst examples
%{!?_licensedir:%global license %%doc}
%license LICENSE

%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Mar 05 2018 Robbie Harwood <rharwood@redhat.com> - 9.9-7
- Apply patch to port from pykerberos to python-gssapi
- Resolves: #1546884

* Wed Feb 07 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.9-6
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Apr 04 2016 Petr Šplíchal <psplicha@redhat.com> 0.9-1
- New plugins supported: Trello, bit.ly, idonethis
- Support 'did yesterday' for yesterday's updates
- Ignore comment updates without author specified
- User does not have to be assignee to close a bug
- Create vim tags using the 'make tags' target
- Use option prefix also for git, header and footer
- Extend the test coverage for cli, base and utils
- Rename DID_CONFIG to DID_DIR to match the content
- Improve error handling, especially config errors
- Migrate option parsing from optparse to argparse
- Configurable support for showing bug resolutions
- Support --conf as abbreviation for --config
- Initial set of tests for the trac plugin
- Improve readability of gerrit by using review number
- Improve closed bugs stats, add test case [fix #45]
- Add statistics of closed bugs for bugzilla plugin

* Wed Sep 23 2015 Petr Šplíchal <psplicha@redhat.com> 0.8-1
- Give warning for git repository problems [fix #41]
- Add example with config dir set to: ~/.config/did/
- Support for basic authentication in jira plugin
- Support config profiles (new option --config)
- Generate coverage annotations for 'make coverage'
- Support aliases in config sections, improves #36
- The first draft of the github plugin [fix #42]
- Support custom email/login aliases [fix #36]
- Include detailed description for general options
- Properly check email in gerrit messages [fix #34]
- Correctly handle invalid arguments [fix #33]
- Do not include the whole docs dir in the tarball
- Properly document how email addresses are handled
- Use wheels for python packaging (no source dist)
- Include Python package building stuff in Makefile

* Fri Sep 18 2015 Petr Šplíchal <psplicha@redhat.com> 0.7-1
- Refer Travis CI and Coveralls in contribute docs
- Remove version from the documentation completely
- Unshallow the git repo as it is used for testing
- Ignore errors about non-existent bugzilla emails
- Better handle xmlrpclib errors during bug search
- Document bugzilla plugin stats in more detail
- Bugzilla test suite adjustments (split, asserts)
- Log kerberos error as a debug message
- Decode command line arguments from utf-8
- Filter returned bugs by email or name
- Moving bug from NEW to ASSIGNED is not returning
- Improve fixed bugs detection in bugzilla plugin
- Allow stats name detection from multiline docs
- Do not run 'make clean' in the pre-commit hook
- Support fetching large queries in jira plugin
- Document stats order specification in config

* Fri Sep 11 2015 Petr Šplíchal <psplicha@redhat.com> 0.6-1
- Provide a couple of real-life examples in docs
- Convert plugin order list into table
- Update welcome page and module documentation
- Handle invalid dates, paths and urls
- Consider ticket description change as update
- Check free command line arguments for typos
- Include example config in docs, adjust man page
- Fix the --debug option, prevent logger duplication
- Correctly handle missing config file
- Move Options.time_period() to Date.period()
- Update source url, add python-bugzilla to requires
- Move stats classes into a separate module
- Completely remove get_color_mode/set_color_mode
- Adjust utils.pluralize() to take a single argument
- Adjust commit-msg hook to handle comments
- Move command line code to the did.cli module

* Wed Sep 09 2015 Petr Šplíchal <psplicha@redhat.com> 0.5-1
- New tests for command line script, bugzilla, git
- Update README with synopsis and today's example
- Clean up the Makefile, remove obsoleted stuff
- Document general command line options in overview
- Extend contribute doc with Introduction & Makefile
- Update and simplify git commit hooks
- Use config directory instead of a single file
- New Makefile targets: test, smoke, coverage, docs
- Add mr.bob template to generate new default plugin
- Enable package 'extras' (dependencies) install
- Do not ignore sphinx dirs _static and _templates
- Move script, modules & tests out of the source dir

* Sun Sep 06 2015 Petr Šplíchal <psplicha@redhat.com> 0.4-1
- What did you do last week, month, year? (did rename)
- Plugins: bugzilla, rt, gerrit, jira, wiki, nitrate
- Separate the install/contribute documentation
- Correctly handle config as utf8, email splitting
- The Big Documentation Cleanup, hooks to examples
- Allow parsing config file directly from string
- Allow config location override, read config once
- Move docs to sphinx, githooks, rpm build fix
- An initial cut at creating a docker container
- Refactor plugin/stats architecture
- Use Travis CI, add initial tests
- Move README, add code coverage and badges

* Thu Apr 23 2015 Petr Šplíchal <psplicha@redhat.com> 0.3-1
- Update README with PIP and test information
- Enable travis-ci and some tests
- A couple of adjustments after the nitrate cleanup
- Remove nitrate dependency, adjust user handling

* Wed Apr 22 2015 Petr Šplíchal <psplicha@redhat.com> 0.2-1
- Incorporated package review feedback [BZ#1213739]
- Include essential gitignore patterns
- Handle custom stats as a plugin as well
- Handle header & footer as other plugins
- Plugin detection finalized including sort order
- Style cleanup and adjustments for plugin detection
- The first version of the plugin detection support

* Mon Apr 20 2015 Petr Šplíchal <psplicha@redhat.com> 0.1-0
- Initial packaging.
